import { OCCT as BaseOCCT, OCCTWorkerManager } from 'bitbybit-occt-worker';
import { Babylon } from './bitbybit/babylon/babylon';
import { Vector } from './bitbybit/vector';
import { Point } from './bitbybit/point';
import { Line } from './bitbybit/line';
import { Polyline } from './bitbybit/polyline';
import { Draw } from './bitbybit/draw';
import { Verb } from './bitbybit/verb/verb';
import { JSCAD } from './bitbybit/jscad/jscad';
import { Tag } from './bitbybit/tag';
import { Time } from './bitbybit/time';
import { TextBitByBit } from './bitbybit/text';
import { OCCTW } from './bitbybit/occt/occt';
import { Asset } from './bitbybit/asset';
import { Color } from './bitbybit/color';
import { MathBitByBit } from './bitbybit/math';
import { Context } from './context';
import { JSCADWorkerManager } from '../workers/jscad/jscad-worker-manager';
import { Scene } from '@babylonjs/core';
import { Lists } from './bitbybit/lists';
import { JSONBitByBit } from './bitbybit/json';
import { Logic } from './bitbybit/logic';
export declare class BitByBitBase {
    context: Context;
    jscadWorkerManager: JSCADWorkerManager;
    occtWorkerManager: OCCTWorkerManager;
    math: MathBitByBit;
    logic: Logic;
    lists: Lists;
    json: JSONBitByBit;
    vector: Vector;
    babylon: Babylon;
    point: Point;
    line: Line;
    polyline: Polyline;
    draw: Draw;
    verb: Verb;
    jscad: JSCAD;
    text: TextBitByBit;
    tag: Tag;
    time: Time;
    occt: OCCTW & BaseOCCT;
    asset: Asset;
    color: Color;
    constructor();
    init(scene: Scene, occt?: Worker, jscad?: Worker): void;
}
