import { AssetManager } from '../../asset-manager';
export class Asset {
    constructor() {
        this.assetManager = new AssetManager();
    }
    /**
     * Gets the asset file
     * @param inputs file name to get from project assets
     * @returns Blob of asset
     * @group get
     * @shortname cloud file
     */
    getFile(inputs) {
        return this.assetManager.getAsset(inputs.fileName);
    }
    /**
     * Gets the local asset file stored in your browser.
     * @param inputs asset name to get from local assets
     * @returns Blob of asset
     * @group get
     * @shortname local file
     */
    getLocalFile(inputs) {
        return this.assetManager.getLocalAsset(inputs.fileName);
    }
}
