import { Context } from '../../context';
import { GeometryHelper } from '../../geometry-helper';
import { Color } from '../color';
import { BabylonCamera } from './camera/camera';
import { BabylonIO } from './io';
import { BabylonMaterial } from './material/material';
import { BabylonMesh } from './mesh';
import { BabylonNode } from './node';
import { BabylonPick } from './pick';
import { BabylonRay } from './ray';
import { BabylonScene } from './scene';
import { BabylonTransforms } from './transforms';
import { BabylonWebXR } from './webxr/webxr';
/**
 * Contains various functions that expose BABYLONJS objects
 */
export declare class Babylon {
    mesh: BabylonMesh;
    camera: BabylonCamera;
    webxr: BabylonWebXR;
    node: BabylonNode;
    scene: BabylonScene;
    transforms: BabylonTransforms;
    io: BabylonIO;
    ray: BabylonRay;
    pick: BabylonPick;
    material: BabylonMaterial;
    constructor(context: Context, geometryHelper: GeometryHelper, color: Color);
}
