import { TargetCamera, Vector3 } from '@babylonjs/core';
export class BabylonTargetCamera {
    constructor(context) {
        this.context = context;
    }
    /**
     * Creates a target camera
     * @param inputs Describes the target camera
     * @returns BabylonJS target camera
     */
    create(inputs) {
        const pos = new Vector3(inputs.position[0], inputs.position[1], inputs.position[2]);
        const camera = new TargetCamera(`freeCamera${Math.random()}`, pos, this.context.scene);
        const target = new Vector3(inputs.target[0], inputs.target[1], inputs.target[2]);
        camera.setTarget(target);
        const canvas = document.getElementById('renderCanvas');
        camera.attachControl(canvas, true);
        camera.minZ = 0;
        camera.maxZ = 1000;
        return camera;
    }
}
