// tslint:disable-next-line: no-namespace
export var BaseTypes;
(function (BaseTypes) {
    /**
     * Interval represents an object that has two properties - min and max.
     */
    class IntervalDto {
        constructor() {
            /**
             * Minimum value of the interval
             */
            this.min = 0;
            /**
             * Maximum value of the interval
             */
            this.max = 1;
        }
    }
    BaseTypes.IntervalDto = IntervalDto;
    /**
     * UV usually represents 2D coordinates on 3D or 2D surfaces. It is similar to XY coordinates in planes.
     */
    class UVDto {
        constructor() {
            /**
             * U coordinate of the surface
             */
            this.u = 0;
            /**
             * V coordinate of the surface
             */
            this.v = 0;
        }
    }
    BaseTypes.UVDto = UVDto;
    /**
     * Intersection result of curve curve
     */
    class CurveCurveIntersection {
    }
    BaseTypes.CurveCurveIntersection = CurveCurveIntersection;
    /**
     * Intersection result of curve and surface
     */
    class CurveSurfaceIntersection {
    }
    BaseTypes.CurveSurfaceIntersection = CurveSurfaceIntersection;
    /**
     * Intersection point between two surfaces
     */
    class SurfaceSurfaceIntersectionPoint {
    }
    BaseTypes.SurfaceSurfaceIntersectionPoint = SurfaceSurfaceIntersectionPoint;
})(BaseTypes || (BaseTypes = {}));
