import * as Inputs from '../../inputs/inputs';
import { OCCTWorkerManager, OCCTIO } from 'bitbybit-occt-worker';
import { GeometryHelper } from '../../geometry-helper';
export declare class OCCTWIO extends OCCTIO {
    readonly occWorkerManager: OCCTWorkerManager;
    private readonly geometryHelper;
    constructor(occWorkerManager: OCCTWorkerManager, geometryHelper: GeometryHelper);
    /**
     * Imports the step or iges asset file
     * @param inputs STEP or IGES import
     * @group io
     * @shortname load step | iges
     * @returns OCCT Shape
     */
    loadSTEPorIGES(inputs: Inputs.OCCT.ImportStepIgesDto<Inputs.OCCT.TopoDSShapePointer>): Promise<Inputs.OCCT.TopoDSShapePointer>;
    /**
     * Saves the stl file
     * @param inputs STL filename and shape to be saved
     * @group io
     * @shortname save stl
     * @returns String of a stl file
     */
    saveShapeStl(inputs: Inputs.OCCT.SaveStlDto<Inputs.OCCT.TopoDSShapePointer>): Promise<Inputs.OCCT.DecomposedMeshDto>;
}
