var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { TextBitByBit } from './text';
describe('Text unit tests', () => {
    let text;
    beforeAll(() => __awaiter(void 0, void 0, void 0, function* () {
        text = new TextBitByBit();
    }));
    it('should create a text', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.create({ text: 'Hello World, Matas' });
        expect(result).toEqual('Hello World, Matas');
    }));
    it('should split text', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.split({ text: 'Hello World, Matas, Ubarevicius', separator: ',' });
        expect(result).toEqual(['Hello World', ' Matas', ' Ubarevicius']);
    }));
    it('should replace all in text', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.replaceAll({ text: 'Hello World, Matas, Ubarevicius', search: ',', replaceWith: '-' });
        expect(result).toEqual('Hello World- Matas- Ubarevicius');
    }));
    it('should join all items', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.join({ list: ['Hello World', ' Matas', ' Ubarevicius'], separator: ',' });
        expect(result).toEqual('Hello World, Matas, Ubarevicius');
    }));
    it('should convert to string item', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.toString({ item: [0, 0, 0] });
        expect(result).toEqual("0,0,0");
    }));
    it('should convert to string items', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = text.toStringEach({ list: [0, 1, 2] });
        expect(result).toEqual(["0", "1", "2"]);
    }));
});
