import { Context } from '../../context';
import { GeometryHelper } from '../../geometry-helper';
import { VerbCurve } from './curve';
import { VerbIntersect } from './intersect';
import { VerbSurface } from './surface';
/**
 * Contains various functions for Nurbs curves and surfaces.
 * These functions wrap around Verbnurbs library that you can find here http://verbnurbs.com/.
 * Thanks Peter Boyer for his work.
 */
export declare class Verb {
    readonly curve: VerbCurve;
    readonly surface: VerbSurface;
    readonly intersect: VerbIntersect;
    constructor(context: Context, geometryHelper: GeometryHelper);
}
