import { LinesMesh, Matrix, Vector3, Scene, Mesh, PBRMetallicRoughnessMaterial } from '@babylonjs/core';
import { Context } from './context';
import { Base } from './inputs/base-inputs';
export declare class GeometryHelper {
    private readonly context;
    constructor(context: Context);
    private readonly tolerance;
    createOrUpdateSurfaceMesh(meshDataConverted: {
        positions: any[];
        indices: any[];
        normals: any[];
    }, mesh: Mesh, updatable: boolean, material: PBRMetallicRoughnessMaterial, addToScene: boolean, hidden: boolean): Mesh;
    createOrUpdateSurfacesMesh(meshDataConverted: {
        positions: number[];
        indices: number[];
        normals: number[];
        uvs: number[];
    }[], mesh: Mesh, updatable: boolean, material: PBRMetallicRoughnessMaterial, addToScene: boolean, hidden: boolean): Mesh;
    transformControlPoints(transformation: number[][] | number[][][], transformedControlPoints: Base.Point3[]): Base.Point3[];
    getFlatTransformations(transformation: number[][] | number[][][]): number[][];
    getArrayDepth: (value: any) => number;
    transformPointsByMatrixArray(points: Base.Point3[], transform: number[]): Base.Point3[];
    transformPointsByMatrix(points: Base.Point3[], transformMatrix: Matrix): Base.Point3[];
    edgesRendering(mesh: LinesMesh, size: number, opacity: number, colours: string | string[]): void;
    drawPolyline(mesh: LinesMesh, pointsToDraw: number[][], updatable: boolean, size: number, opacity: number, colours: string | string[]): LinesMesh;
    drawPolylines(mesh: LinesMesh, polylinePoints: number[][][], updatable: boolean, size: number, opacity: number, colours: string | string[]): LinesMesh;
    createLineSystem(updatable: boolean, lines: Vector3[][]): LinesMesh;
    removeConsecutiveDuplicates(points: number[][], checkFirstAndLast?: boolean): number[][];
    arePointsTheSame(pointA: number[], pointB: number[], tolerance: number): boolean;
    localAxes(size: number, scene: Scene, colorXHex: string, colorYHex: string, colorZHex: string): Mesh;
}
