import { Camera, TargetCamera } from '@babylonjs/core';
import { Base } from './base-inputs';
export declare namespace BabylonCamera {
    class ArcRotateCameraDto {
        /**
         * Defines the camera rotation along the longitudinal axis
         */
        alpha: number;
        /**
         * Defines the camera rotation along the latitudinal axis
         */
        beta: number;
        /**
         * Defines the camera distance from its target
         */
        radius: number;
        /**
         * Target of the arc rotate camera
         */
        target?: Base.Point3;
    }
    class FreeCameraDto {
        /**
         * Position of the free camera
         */
        position: Base.Point3;
        /**
         * Target of the free camera
         */
        target: Base.Point3;
    }
    class TargetCameraDto {
        /**
         * Position of the free camera
         */
        position: Base.Point3;
        /**
         * Target of the free camera
         */
        target: Base.Point3;
    }
    class PositionDto {
        /**
         * Target camera
         */
        camera: TargetCamera;
        /**
         * Position of the free camera
         */
        position: Base.Point3;
    }
    class SpeedDto {
        /**
         * Target camera
         */
        camera: TargetCamera;
        /**
         * speed of the camera
         */
        speed: number;
    }
    class TargetDto {
        /**
         * Target camera
         */
        camera: TargetCamera;
        /**
         * target of the camera
         */
        target: Base.Point3;
    }
    class MinZDto {
        /**
         * Free camera
         */
        camera: Camera;
        /**
         * minZ of the camera
         */
        minZ: number;
    }
    class MaxZDto {
        /**
         * Free camera
         */
        camera: Camera;
        /**
         * maxZ of the camera
         */
        maxZ: number;
    }
    class CameraDto {
        /**
         * Camera
         */
        camera: Camera;
    }
}
