// tslint:disable-next-line: no-namespace
export var BabylonMaterial;
(function (BabylonMaterial) {
    class PBRMetallicRoughnessDto {
        constructor() {
            /**
             * Name of the material
             * @default Custom Material
             */
            this.name = 'Custom Material';
            /**
             * Base color of the material
             * @default #0000ff
             */
            this.baseColor = '#0000ff';
            /**
             * Metallic value of the material
             * @default 0.6
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.metallic = 0.6;
            /**
             * Roughness value of the material
             * @default 0.5
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.roughness = 0.5;
            /**
             * Defines the transparency of the material
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.alpha = 1;
            /**
             * Identifies if both sides of the surface should have material applied
             * @default false
             */
            this.backFaceCulling = false;
            /**
             * Defines the z offset of the material
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.zOffset = 0;
        }
    }
    BabylonMaterial.PBRMetallicRoughnessDto = PBRMetallicRoughnessDto;
    class BaseColorDto {
        constructor() {
            /**
             * Base color of the material
             * @default #0000ff
             */
            this.baseColor = '#0000ff';
        }
    }
    BabylonMaterial.BaseColorDto = BaseColorDto;
    class MaterialPropDto {
    }
    BabylonMaterial.MaterialPropDto = MaterialPropDto;
    class MetallicDto {
    }
    BabylonMaterial.MetallicDto = MetallicDto;
    class RoughnessDto {
    }
    BabylonMaterial.RoughnessDto = RoughnessDto;
    class AlphaDto {
    }
    BabylonMaterial.AlphaDto = AlphaDto;
    class BackFaceCullingDto {
        constructor() {
            /**
             * back face culling
             * @default true
             */
            this.backFaceCulling = true;
        }
    }
    BabylonMaterial.BackFaceCullingDto = BackFaceCullingDto;
})(BabylonMaterial || (BabylonMaterial = {}));
