import { Base } from './base-inputs';
export declare namespace Color {
    class HexDto {
        /**
         * Color hex
         * @default #0000ff
         */
        color: Base.Color;
    }
    class HexDtoMapped {
        /**
         * Color hex
         * @default #0000ff
         */
        color: Base.Color;
        /**
         * From min bound
         * @default 0
         * @minimum -Infinity
         * @maximum Infinity
         * @step 1
         */
        from: number;
        /**
         * To max bound
         * @default 255
         * @minimum -Infinity
         * @maximum Infinity
         * @step 1
         */
        to: number;
    }
    class RGBDto {
        /**
         * Red value component
         * @default 255
         * @minimum 0
         * @maximum 255
         * @step 1
         */
        r: number;
        /**
         * Green value component
         * @default 255
         * @minimum 0
         * @maximum 255
         * @step 1
         */
        g: number;
        /**
        * Blue value component
        * @default 255
        * @minimum 0
        * @maximum 255
        * @step 1
        */
        b: number;
    }
    class RGBObjectDto {
        /**
         * Red value component
         * @default undefined
         */
        rgb: Base.ColorRGB;
    }
}
