// tslint:disable-next-line: no-namespace
export var JSCAD;
(function (JSCAD) {
    class DrawSolidMeshDto {
        /**
         * Provide options without default values
         */
        constructor(mesh) {
            /**
             * Value between 0 and 1
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             * @default #444444
             */
            this.colours = '#444444';
            /**
             * Indicates wether this solid will be transformed in time
             * @default false
             */
            this.updatable = false;
            /**
             * Hidden
             * @default false
             */
            this.hidden = false;
            this.mesh = mesh;
        }
    }
    JSCAD.DrawSolidMeshDto = DrawSolidMeshDto;
    class DrawSolidMeshesDto {
        /**
         * Provide options without default values
         */
        constructor(meshes) {
            /**
             * Value between 0 and 1
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             * @default #444444
             */
            this.colours = '#444444';
            /**
             * Indicates wether this solid will be transformed in time
             * @default false
             */
            this.updatable = false;
            /**
             * Should be hidden
             * @default false
             */
            this.hidden = false;
            this.meshes = meshes;
        }
    }
    JSCAD.DrawSolidMeshesDto = DrawSolidMeshesDto;
    class DrawPathDto {
        /**
         * Provide options without default values
         */
        constructor(path) {
            /**
             * Colour of the path
             * @default #444444
             */
            this.colour = '#444444';
            /**
             * Opacity of the path
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.opacity = 1;
            /**
             * Width of the path
             * @default 3
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.width = 3;
            /**
             * Indicates wether the path will change in time
             * @default false
             */
            this.updatable = false;
            this.path = path;
        }
    }
    JSCAD.DrawPathDto = DrawPathDto;
    class TransformSolidsDto {
    }
    JSCAD.TransformSolidsDto = TransformSolidsDto;
    class TransformSolidDto {
    }
    JSCAD.TransformSolidDto = TransformSolidDto;
    class DownloadSolidDto {
    }
    JSCAD.DownloadSolidDto = DownloadSolidDto;
    class DownloadSolidsDto {
    }
    JSCAD.DownloadSolidsDto = DownloadSolidsDto;
    class BooleanObjectsDto {
    }
    JSCAD.BooleanObjectsDto = BooleanObjectsDto;
    class ExpansionDto {
        constructor() {
            /**
             * Delta (+/-) of expansion
             * @default 0.1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.delta = 0.1;
            /**
             * Type of corner to create during of expansion; edge, chamfer, round
             * @default edge
             */
            this.corners = SolidCornerTypeEnum.edge;
            /**
             * Integer number of segments when creating round corners
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.ExpansionDto = ExpansionDto;
    class OffsetDto {
        constructor() {
            /**
             * Delta (+/-) of offset
             * @default 0.1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.delta = 0.1;
            /**
             * Type of corner to create during the offset; edge, chamfer, round.
             * @default edge
             */
            this.corners = SolidCornerTypeEnum.edge;
            /**
             * Integer number of segments when creating round corners
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.OffsetDto = OffsetDto;
    class ExtrudeLinearDto {
        constructor() {
            /**
             * Height of linear extrude
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Twist angle in degrees
             * @default 90
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.twistAngle = 90;
            /**
             * Number of twist steps
             * @default 15
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.twistSteps = 15;
        }
    }
    JSCAD.ExtrudeLinearDto = ExtrudeLinearDto;
    class HullDto {
    }
    JSCAD.HullDto = HullDto;
    class ExtrudeRectangularDto {
        constructor() {
            /**
             * Height of linear extrude
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Size of the rectangle
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 1;
        }
    }
    JSCAD.ExtrudeRectangularDto = ExtrudeRectangularDto;
    class ExtrudeRectangularPointsDto {
        constructor() {
            /**
             * Height of linear extrude
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Size of the rectangle
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 1;
        }
    }
    JSCAD.ExtrudeRectangularPointsDto = ExtrudeRectangularPointsDto;
    class ExtrudeRotateDto {
        constructor() {
            /**
             * Angle in degrees
             * @default 90
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.angle = 90;
            /**
             * Start angle in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.startAngle = 0;
            /**
             * Number of segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.ExtrudeRotateDto = ExtrudeRotateDto;
    class PathDto {
    }
    JSCAD.PathDto = PathDto;
    class PathFromPointsDto {
        constructor() {
            /**
             * Indicates wether we want to create a closed path
             * @default false
             */
            this.closed = false;
        }
    }
    JSCAD.PathFromPointsDto = PathFromPointsDto;
    class PathFromPolylineDto {
        constructor() {
            /**
             * Indicates wether we want to create a closed path
             * @default false
             */
            this.closed = false;
        }
    }
    JSCAD.PathFromPolylineDto = PathFromPolylineDto;
    class PathFromCurveDto {
        constructor() {
            /**
             * Indicates wether we want to create a closed path
             * @default false
             */
            this.closed = false;
        }
    }
    JSCAD.PathFromCurveDto = PathFromCurveDto;
    class PathAppendCurveDto {
    }
    JSCAD.PathAppendCurveDto = PathAppendCurveDto;
    class PathAppendPointsDto {
    }
    JSCAD.PathAppendPointsDto = PathAppendPointsDto;
    class PathAppendPolylineDto {
    }
    JSCAD.PathAppendPolylineDto = PathAppendPolylineDto;
    class PathAppendArcDto {
        constructor() {
            /**
             * End point of an arc
             * @default [1, 1]
             */
            this.endPoint = [1, 1];
            /**
             * Rotation (degrees) of the X axis of the arc with respect to the X axis of the coordinate system
             * @default 90
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.xAxisRotation = 90;
            /**
             * Draw an arc clockwise with respect to the center point
             * @default true
             */
            this.clockwise = true;
            /**
             * Draw an arc longer than PI radians
             * @default false
             */
            this.large = false;
            /**
             * Number of segments for the arc
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
            /**
             * X radius of an arc
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.radiusX = 1;
            /**
             * Y radius of an arc
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.radiusY = 1;
        }
    }
    JSCAD.PathAppendArcDto = PathAppendArcDto;
    class CircleDto {
        constructor() {
            /**
             * Center of the circle
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * Radius of the circle
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Segment number
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.CircleDto = CircleDto;
    class EllipseDto {
        constructor() {
            /**
             * Center of the circle
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * Radius of the circle in [x, y] form
             * @default [1, 2]
             */
            this.radius = [1, 2];
            /**
             * Segment number
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.EllipseDto = EllipseDto;
    class SquareDto {
        constructor() {
            /**
             * Center of the 2D square
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * Size of the square
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 1;
        }
    }
    JSCAD.SquareDto = SquareDto;
    class RectangleDto {
        constructor() {
            /**
             * Center of the 2D rectangle
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * Width of the rectangle
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the rectangle
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
        }
    }
    JSCAD.RectangleDto = RectangleDto;
    class RoundedRectangleDto {
        constructor() {
            /**
             * Center of the 2D rectangle
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * The radius to round the rectangle edge
             * @default 0.2
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.roundRadius = 0.2;
            /**
             * Number of segments for corners
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
            /**
             * Width of the rectangle
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the rectangle
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
        }
    }
    JSCAD.RoundedRectangleDto = RoundedRectangleDto;
    class StarDto {
        constructor() {
            /**
             * Center of the 2D star
             * @default [0, 0]
             */
            this.center = [0, 0];
            /**
             * Number of vertices on the star
             * @default 10
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.vertices = 10;
            /**
             * Density of the star
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.density = 1;
            /**
             * Outer radius of the star
             * @default 2
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.outerRadius = 2;
            /**
             * Inner radius of the star
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.innerRadius = 1;
            /**
             * Starting angle for first vertice, in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.startAngle = 0;
        }
    }
    JSCAD.StarDto = StarDto;
    class CubeDto {
        constructor() {
            /**
             * Center coordinates of the cube
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Size of the cube
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 1;
        }
    }
    JSCAD.CubeDto = CubeDto;
    class CubeCentersDto {
        constructor() {
            /**
             * Size of the cube
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 1;
        }
    }
    JSCAD.CubeCentersDto = CubeCentersDto;
    class CuboidDto {
        constructor() {
            /**
             * Center coordinates of the cubod
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Width of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
            /**
             * Height of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
        }
    }
    JSCAD.CuboidDto = CuboidDto;
    class CuboidCentersDto {
        constructor() {
            /**
             * Width of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
            /**
             * Height of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
        }
    }
    JSCAD.CuboidCentersDto = CuboidCentersDto;
    class RoundedCuboidDto {
        constructor() {
            /**
             * Center coordinates of the cubod
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Radius for rounding edges
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.roundRadius = 1;
            /**
             * Width of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
            /**
             * Height of the cuboid
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Segments of rounded edges
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.RoundedCuboidDto = RoundedCuboidDto;
    class RoundedCuboidCentersDto {
        constructor() {
            /**
             * Radius for rounding edges
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.roundRadius = 0.1;
            /**
             * Width of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.width = 1;
            /**
             * Length of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.length = 1;
            /**
             * Height of the cuboids
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Segments of rounded edges
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.RoundedCuboidCentersDto = RoundedCuboidCentersDto;
    class CylidnerEllipticDto {
        constructor() {
            /**
             * Center of the cylinder
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Height of the cylinder
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Start radius on X and Y directions
             * @default [1, 2]
             */
            this.startRadius = [1, 2];
            /**
             * End radius on X and Y directions
             * @default [2, 3]
             */
            this.endRadius = [2, 3];
            /**
             * Subdivision segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.CylidnerEllipticDto = CylidnerEllipticDto;
    class CylidnerCentersEllipticDto {
        constructor() {
            /**
             * Height of the cylinders
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Start radius on X and Y directions
             * @default [1, 2]
             */
            this.startRadius = [1, 2];
            /**
             * End radius on X and Y directions
             * @default [2, 3]
             */
            this.endRadius = [2, 3];
            /**
             * Subdivision segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.CylidnerCentersEllipticDto = CylidnerCentersEllipticDto;
    class CylidnerDto {
        constructor() {
            /**
             * Center of the cylinder
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Height of the cylinder
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Radius of the cylinder
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Subdivision segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.CylidnerDto = CylidnerDto;
    class RoundedCylidnerDto {
        constructor() {
            /**
             * Center of the cylinder
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Rounding radius
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.roundRadius = 0.1;
            /**
             * Height of the cylinder
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Radius of the cylinder
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Segment number
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.RoundedCylidnerDto = RoundedCylidnerDto;
    class EllipsoidDto {
        constructor() {
            /**
             * Center coordinates
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Radius of the ellipsoid in [x, y, z] form
             * @default [1, 2, 3]
             */
            this.radius = [1, 2, 3];
            /**
             * Segment count for ellipsoid
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.EllipsoidDto = EllipsoidDto;
    class EllipsoidCentersDto {
        constructor() {
            /**
             * Radius of the ellipsoid in [x, y, z] form
             * @default [1, 2, 3]
             */
            this.radius = [1, 2, 3];
            /**
             * Segment count for ellipsoid
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.EllipsoidCentersDto = EllipsoidCentersDto;
    class GeodesicSphereDto {
        constructor() {
            /**
             * Center coordinate of the geodesic sphere
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Radius of the sphere
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Subdivision count
             * @default 12
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.frequency = 12;
        }
    }
    JSCAD.GeodesicSphereDto = GeodesicSphereDto;
    class GeodesicSphereCentersDto {
        constructor() {
            /**
             * Radius of the sphere
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Subdivision count
             * @default 12
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.frequency = 12;
        }
    }
    JSCAD.GeodesicSphereCentersDto = GeodesicSphereCentersDto;
    class CylidnerCentersDto {
        constructor() {
            /**
             * Height of the cylinders
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Radius of the cylinders
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Subdivision segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.CylidnerCentersDto = CylidnerCentersDto;
    class RoundedCylidnerCentersDto {
        constructor() {
            /**
             * Rounding radius
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.roundRadius = 0.1;
            /**
             * Height of the cylinders
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Radius of the cylinders
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Segment number
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.RoundedCylidnerCentersDto = RoundedCylidnerCentersDto;
    class SphereDto {
        constructor() {
            /**
             * Center point of the sphere
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Radius of the sphere
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Segment count
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.SphereDto = SphereDto;
    class SphereCentersDto {
        constructor() {
            /**
             * Radius of the spheres
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 1;
            /**
             * Segment count
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
        }
    }
    JSCAD.SphereCentersDto = SphereCentersDto;
    class TorusDto {
        constructor() {
            /**
             * Center coordinate
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Inner radius
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.innerRadius = 1;
            /**
             * Outer radius
             * @default 2
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.outerRadius = 2;
            /**
             * Number of inner segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.innerSegments = 24;
            /**
             * Number of outer segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.outerSegments = 24;
            /**
             * Inner rotation in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.innerRotation = 0;
            /**
             * Outer rotation in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.outerRotation = 360;
            /**
             * Start angle in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.startAngle = 0;
        }
    }
    JSCAD.TorusDto = TorusDto;
    class TextDto {
        constructor() {
            /**
             * Text to write
             * @default Hello World
             */
            this.text = "Hello World";
            /**
             * Number of segments
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
            /**
             * X offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.xOffset = 0;
            /**
             * Y offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.yOffset = 0;
            /**
             * Height of the text
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Space between lines
             * @default 1.4
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.lineSpacing = 1.4;
            /**
             * Space between letters
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.letterSpacing = 1;
            /**
             * Align between left, center, right
             * @default center
             */
            this.align = JSCADTextAlignEnum.center;
            /**
             * Offset the extrusion
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.extrudeOffset = 0;
        }
    }
    JSCAD.TextDto = TextDto;
    class CylinderTextDto {
        constructor() {
            /**
             * Text to write
             * @default Hello World
             */
            this.text = "Hello World";
            /**
             * Height of the cylinder
             * @default 0.5
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.extrusionHeight = 0.5;
            /**
             * Radius of the cylinder
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.extrusionSize = 0.1;
            /**
             * Segment subdivision for cylinder
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
            /**
             * X offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.xOffset = 0;
            /**
             * Y offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.yOffset = 0;
            /**
             * Height of the text
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Space between lines
             * @default 1.4
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.lineSpacing = 1.4;
            /**
             * Space between letters
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.letterSpacing = 1;
            /**
             * Align between left, center, right
             * @default center
             */
            this.align = JSCADTextAlignEnum.center;
            /**
             * Offset the extrusion
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.extrudeOffset = 0;
        }
    }
    JSCAD.CylinderTextDto = CylinderTextDto;
    class SphereTextDto {
        constructor() {
            /**
             * Text to write
             * @default Hello World
             */
            this.text = 'Hello World';
            /**
             * Radius of the spheres
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 0.1;
            /**
             * Segment subdivision for sphere
             * @default 24
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.segments = 24;
            /**
             * X offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.xOffset = 0;
            /**
             * Y offset of the text
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.yOffset = 0;
            /**
             * Height of the text
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.height = 1;
            /**
             * Space between lines
             * @default 1.4
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.lineSpacing = 1.4;
            /**
             * Space between letters
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.letterSpacing = 1;
            /**
             * Align between left, center, right
             * @default center
             */
            this.align = JSCADTextAlignEnum.center;
            /**
             * Offset the extrusion
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.extrudeOffset = 0;
        }
    }
    JSCAD.SphereTextDto = SphereTextDto;
    let SolidCornerTypeEnum;
    (function (SolidCornerTypeEnum) {
        /**
         * Edges will meet at a corner
         */
        SolidCornerTypeEnum["edge"] = "edge";
        /**
         * Edges will be rounded on the corner
         */
        SolidCornerTypeEnum["round"] = "round";
        /**
         * Edges will be chamfered on the corner
         */
        SolidCornerTypeEnum["chamfer"] = "chamfer";
    })(SolidCornerTypeEnum = JSCAD.SolidCornerTypeEnum || (JSCAD.SolidCornerTypeEnum = {}));
    let JSCADTextAlignEnum;
    (function (JSCADTextAlignEnum) {
        /**
         * Aligns text to the left
         */
        JSCADTextAlignEnum["left"] = "left";
        /**
         * Aligns text to the center
         */
        JSCADTextAlignEnum["center"] = "center";
        /**
         * Aligns text to the right
         */
        JSCADTextAlignEnum["right"] = "right";
    })(JSCADTextAlignEnum = JSCAD.JSCADTextAlignEnum || (JSCAD.JSCADTextAlignEnum = {}));
})(JSCAD || (JSCAD = {}));
