// tslint:disable-next-line: no-namespace
export var Lists;
(function (Lists) {
    let FirstLastEnum;
    (function (FirstLastEnum) {
        FirstLastEnum["first"] = "first";
        FirstLastEnum["last"] = "last";
    })(FirstLastEnum = Lists.FirstLastEnum || (Lists.FirstLastEnum = {}));
    class ListItemDto {
        constructor() {
            /**
             * Index of the item in the list - 0 means first.
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.index = 0;
        }
    }
    Lists.ListItemDto = ListItemDto;
    class SubListDto {
        constructor() {
            /**
             * Index from which to start the sublist - 0 means first.
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.indexStart = 0;
            /**
             * Index to which to end the sublist - 0 means first.
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.indexEnd = 1;
        }
    }
    Lists.SubListDto = SubListDto;
    class ListDto {
    }
    Lists.ListDto = ListDto;
    class GroupListDto {
        constructor() {
            /**
             * The number of elements in each group
             * @default 2
             * @minimum 1
             * @maximum Infinity
             * @step 1
             */
            this.nrElements = 2;
            /**
             * If true, the remainder of the list will be added as a separate group
             * @default false
             */
            this.keepRemainder = false;
        }
    }
    Lists.GroupListDto = GroupListDto;
    class MultiplyItemDto {
    }
    Lists.MultiplyItemDto = MultiplyItemDto;
    class AddItemAtIndexDto {
        constructor() {
            /**
             * The index to add the item at
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.index = 0;
        }
    }
    Lists.AddItemAtIndexDto = AddItemAtIndexDto;
    class AddItemAtIndexesDto {
        constructor() {
            /**
             * The index to add the item at
             * @default [0]
             */
            this.indexes = [0];
        }
    }
    Lists.AddItemAtIndexesDto = AddItemAtIndexesDto;
    class AddItemsAtIndexesDto {
        constructor() {
            /**
             * The index to add the item at
             * @default [0]
             */
            this.indexes = [0];
        }
    }
    Lists.AddItemsAtIndexesDto = AddItemsAtIndexesDto;
    class RemoveItemAtIndexDto {
        constructor() {
            /**
             * The index to on which remove item
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.index = 0;
        }
    }
    Lists.RemoveItemAtIndexDto = RemoveItemAtIndexDto;
    class RemoveNthItemDto {
        constructor() {
            /**
             * The nth item to remove
             * @default 2
             * @minimum 1
             * @maximum Infinity
             * @step 1
             */
            this.nth = 2;
            /**
             * The offset from which to start counting
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.offset = 0;
        }
    }
    Lists.RemoveNthItemDto = RemoveNthItemDto;
    class GetByPatternDto {
        constructor() {
            /**
             * The list of booleans to be used as a pattern (true means get, false means skip)
             * @default [true, true, false]
             */
            this.pattern = [true, true, false];
        }
    }
    Lists.GetByPatternDto = GetByPatternDto;
    class GetNthItemDto {
        constructor() {
            /**
             * The nth item to get
             * @default 2
             * @minimum 1
             * @maximum Infinity
             * @step 1
             */
            this.nth = 2;
            /**
             * The offset from which to start counting
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.offset = 0;
        }
    }
    Lists.GetNthItemDto = GetNthItemDto;
    class GetLongestListLength {
    }
    Lists.GetLongestListLength = GetLongestListLength;
    class MergeElementsOfLists {
        constructor() {
            /**
             * The level on which to merge the elements. 0 means first level
             * @default 0
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.level = 0;
        }
    }
    Lists.MergeElementsOfLists = MergeElementsOfLists;
    class AddItemFirstLastDto {
        constructor() {
            /**
             * The option if the item needs to be added at the beginning or the end of the list
             * @default last
             */
            this.position = FirstLastEnum.last;
        }
    }
    Lists.AddItemFirstLastDto = AddItemFirstLastDto;
})(Lists || (Lists = {}));
