// tslint:disable-next-line: no-namespace
export var BabylonNode;
(function (BabylonNode) {
    class NodeDto {
    }
    BabylonNode.NodeDto = NodeDto;
    class NodeTranslationDto extends NodeDto {
    }
    BabylonNode.NodeTranslationDto = NodeTranslationDto;
    class NodeParentDto extends NodeDto {
    }
    BabylonNode.NodeParentDto = NodeParentDto;
    class NodeDirectionDto extends NodeDto {
    }
    BabylonNode.NodeDirectionDto = NodeDirectionDto;
    class NodePositionDto extends NodeDto {
    }
    BabylonNode.NodePositionDto = NodePositionDto;
    class RotateNodeDto extends NodeDto {
        constructor() {
            super(...arguments);
            /**
             * Rotate around the axis expressed in [x, y, z] vector array
             */
            this.axis = [0, 1, 0];
            /**
             * The rotation angle expressed in degrees
             */
            this.angle = 0;
        }
    }
    BabylonNode.RotateNodeDto = RotateNodeDto;
    class RotateAroundAxisNodeDto extends NodeDto {
        constructor() {
            super(...arguments);
            /**
             * Position vector expressed in [x, y, z] vector array
             */
            this.position = [0, 0, 0];
            /**
             * Rotate around the axis expressed in [x, y, z] vector array
             */
            this.axis = [0, 1, 0];
            /**
             * The rotation angle expressed in degrees
             */
            this.angle = 0;
        }
    }
    BabylonNode.RotateAroundAxisNodeDto = RotateAroundAxisNodeDto;
    class CreateNodeFromRotationDto {
        constructor() {
            /**
             * Oirigin of the node
             */
            this.origin = [0, 0, 0];
            /**
             * Rotations of the node around x y z axis
             */
            this.rotation = [0, 0, 0];
        }
    }
    BabylonNode.CreateNodeFromRotationDto = CreateNodeFromRotationDto;
    class DrawNodeDto extends NodeDto {
        /**
         * Provide options without default values
         */
        constructor(node) {
            super();
            /**
             * Hex encoded color string for X axis
             */
            this.colorX = '#ff0000';
            /**
             * Hex encoded color string for Y axis
             */
            this.colorY = '#00ff00';
            /**
             * Hex encoded color string for Z axis
             */
            this.colorZ = '#0000ff';
            /**
             * Length of the node axis
             */
            this.size = 2;
            this.node = node;
        }
    }
    BabylonNode.DrawNodeDto = DrawNodeDto;
    class DrawNodesDto {
        /**
         * Provide options without default values
         */
        constructor(nodes) {
            /**
             * Hex encoded color string for X axis
             */
            this.colorX = '#ff0000';
            /**
             * Hex encoded color string for Y axis
             */
            this.colorY = '#00ff00';
            /**
             * Hex encoded color string for Z axis
             */
            this.colorZ = '#0000ff';
            /**
             * Length of the node axis
             */
            this.size = 2;
            this.nodes = nodes;
        }
    }
    BabylonNode.DrawNodesDto = DrawNodesDto;
})(BabylonNode || (BabylonNode = {}));
