// tslint:disable-next-line: no-namespace
export var Point;
(function (Point) {
    class PointDto {
    }
    Point.PointDto = PointDto;
    class PointXYZDto {
        constructor() {
            /**
             * Point
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.x = 0;
            /**
             * Point
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.y = 0;
            /**
            * Point
            * @default 0
            * @minimum -Infinity
            * @maximum Infinity
            * @step 0.1
            */
            this.z = 0;
        }
    }
    Point.PointXYZDto = PointXYZDto;
    class PointXYDto {
        constructor() {
            /**
             * Point
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.x = 0;
            /**
             * Point
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.y = 0;
        }
    }
    Point.PointXYDto = PointXYDto;
    class PointsDto {
    }
    Point.PointsDto = PointsDto;
    class DrawPointDto {
        /**
         * Provide options without default values
         */
        constructor(point) {
            /**
             * Value between 0 and 1
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.opacity = 1;
            /**
             * Size of the point
             * @default 3
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 3;
            /**
             * Hex colour string
             * @default #444444
             */
            this.colours = '#444444';
            /**
             * Indicates wether the position of this point will change in time
             * @default false
             */
            this.updatable = false;
            this.point = point;
        }
    }
    Point.DrawPointDto = DrawPointDto;
    class DrawPointsDto {
        /**
         * Provide options without default values
         */
        constructor(points) {
            /**
             * Value between 0 and 1
             * @default 1
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.opacity = 1;
            /**
             * Size of the points
             * @default 3
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.size = 3;
            /**
             * Hex colour string or collection of strings
             * @default #444444
             */
            this.colours = '#444444';
            /**
             * Indicates wether the position of this point will change in time
             * @default false
             */
            this.updatable = false;
            this.points = points;
        }
    }
    Point.DrawPointsDto = DrawPointsDto;
    class TransformPointDto {
    }
    Point.TransformPointDto = TransformPointDto;
    class TransformPointsDto {
    }
    Point.TransformPointsDto = TransformPointsDto;
    class TransformsForPointsDto {
    }
    Point.TransformsForPointsDto = TransformsForPointsDto;
    class ClosestPointFromPointsDto {
    }
    Point.ClosestPointFromPointsDto = ClosestPointFromPointsDto;
    class StartEndPointsDto {
    }
    Point.StartEndPointsDto = StartEndPointsDto;
    class MultiplyPointDto {
    }
    Point.MultiplyPointDto = MultiplyPointDto;
    class SpiralDto {
        constructor() {
            /**
             * Identifies phi angle
             * @default 0.9
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.phi = 0.9;
            /**
             * Identifies how many points will be created
             * @default 200
             * @minimum 0
             * @maximum Infinity
             * @step 10
             */
            this.numberPoints = 200;
            /**
             * Widening factor of the spiral
             * @default 3
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.widening = 3;
            /**
             * Radius of the spiral
             * @default 6
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 6;
            /**
             * Factor of the spiral
             * @default 1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.factor = 1;
        }
    }
    Point.SpiralDto = SpiralDto;
    class HexGridCentersDto {
        constructor() {
            /**
             * Number of hexagons on Y direction
             * @default 20
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.nrHexagonsY = 20;
            /**
             * Number of Hexagons on Z direction
             * @default 20
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.nrHexagonsX = 20;
        }
    }
    Point.HexGridCentersDto = HexGridCentersDto;
})(Point || (Point = {}));
