// tslint:disable-next-line: no-namespace
export var BabylonScene;
(function (BabylonScene) {
    class SceneBackgroundColourDto {
        /**
         * Provide options without default values
         */
        constructor(colour) {
            /**
             * Hex colour string for the scene background colour
             * @default #ffffff
             */
            this.colour = '#ffffff';
            this.colour = colour;
        }
    }
    BabylonScene.SceneBackgroundColourDto = SceneBackgroundColourDto;
    class PointLightDto {
        constructor() {
            /**
             * Position of the point light
             * @default [0, 0, 0]
             */
            this.position = [0, 0, 0];
            /**
             * Intensity of the point light, value between 0 and 1
             * @default 2000
             * @minimum 0
             * @maximum Infinity
             * @step 500
             */
            this.intensity = 2000;
            /**
             * Diffuse colour of the point light
             * @default #ffffff
             */
            this.diffuse = '#ffffff';
            /**
             * Specular colour of the point light
             * @default #ffffff
             */
            this.specular = '#ffffff';
            /**
             * Radius of the sphere mesh representing the light bulb. If 0 light gets created without the mesh
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.radius = 0.1;
            /**
             * The map size for shadow generator texture if shadows are enabled
             * @default 1024
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.shadowGeneratorMapSize = 1024;
            /**
             * Enables shadows
             * @default true
             */
            this.enableShadows = true;
            /**
             * Shadow darkness
             * @default 0
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.shadowDarkness = 0;
        }
    }
    BabylonScene.PointLightDto = PointLightDto;
    class ActiveCameraDto {
    }
    BabylonScene.ActiveCameraDto = ActiveCameraDto;
    class UseRightHandedSystemDto {
        constructor() {
            /** Indicates to use right handed system
             * @default true
             */
            this.use = true;
        }
    }
    BabylonScene.UseRightHandedSystemDto = UseRightHandedSystemDto;
    class DirectionalLightDto {
        constructor() {
            /**
             * Direction of the directional light
             * @default [-1, -1, -1]
             */
            this.direction = [-1, -1, -1];
            /**
             * Intensity of the point light, value between 0 and 1
             * @default 0.5
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.intensity = 0.5;
            /**
             * Diffuse colour of the point light
             * @default #ffffff
             */
            this.diffuse = '#ffffff';
            /**
             * Specular colour of the point light
             * @default #ffffff
             */
            this.specular = '#ffffff';
            /**
             * The map size for shadow generator texture if shadows are enabled
             * @default 1024
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.shadowGeneratorMapSize = 1024;
            /**
             * Enables shadows
             * @default true
             */
            this.enableShadows = true;
            /**
             * Shadow darkness
             * @default 0
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.shadowDarkness = 0;
        }
    }
    BabylonScene.DirectionalLightDto = DirectionalLightDto;
    class CameraConfigurationDto {
        constructor() {
            /**
             * Position of the point light
             * @default [10, 10, 10]
             *
             */
            this.position = [10, 10, 10];
            /**
             * Look at
             */
            this.lookAt = [0, 0, 0];
            /**
             * Lets configure how far the camera can see
             * @default 1000
             * @minimum 0
             * @maximum Infinity
             * @step 1
             */
            this.maxZ = 1000;
            /**
             * Panning sensibility. If large units are used for the model, this number needs to get larger
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.panningSensibility = 0.1;
            /**
             * Zoom precision of the wheel. If large units are used, this number needs to get smaller
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.wheelPrecision = 0.1;
        }
    }
    BabylonScene.CameraConfigurationDto = CameraConfigurationDto;
    class SkyboxDto {
        constructor() {
            /**
             * Skybox size
             * @default 1000
             * @minimum 0
             * @maximum Infinity
             * @step 10
             */
            this.size = 1000;
            /**
             * Identifies if skybox texture should affect scene environment
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.blur = 0.1;
            /**
             * Identifies if skybox texture should affect scene environment
             * @default 0.7
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.environmentIntensity = 0.7;
        }
    }
    BabylonScene.SkyboxDto = SkyboxDto;
    class PointerDto {
    }
    BabylonScene.PointerDto = PointerDto;
    class FogDto {
        constructor() {
            /**
             * Fog color
             * @default #ffffff
             */
            this.color = '#ffffff';
            /**
             * Fog density
             * @default 0.1
             * @minimum 0
             * @maximum Infinity
             * @step 0.1
             */
            this.density = 0.1;
        }
    }
    BabylonScene.FogDto = FogDto;
})(BabylonScene || (BabylonScene = {}));
