// tslint:disable-next-line: no-namespace
export var Transforms;
(function (Transforms) {
    class RotationCenterAxisDto {
        constructor() {
            /**
             * Angle of rotation in degrees
             * @default 90
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.angle = 90;
            /**
             * Axis vector for rotation
             * @default [0, 1, 0]
             */
            this.axis = [0, 1, 0];
            /**
             * The center from which the axis is pointing
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
        }
    }
    Transforms.RotationCenterAxisDto = RotationCenterAxisDto;
    class RotationCenterDto {
        constructor() {
            /**
             * Angle of rotation in degrees
             * @default 90
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.angle = 90;
            /**
             * The center from which the axis is pointing
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
        }
    }
    Transforms.RotationCenterDto = RotationCenterDto;
    class RotationCenterYawPitchRollDto {
        constructor() {
            /**
             * Yaw angle (Rotation around X) in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.yaw = 0;
            /**
             * Pitch angle (Rotation around Y) in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.pitch = 0;
            /**
             * Roll angle (Rotation around Z) in degrees
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.roll = 0;
            /**
             * The center from which the rotations are applied
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
        }
    }
    Transforms.RotationCenterYawPitchRollDto = RotationCenterYawPitchRollDto;
    class ScaleXYZDto {
        constructor() {
            /**
             * Scaling factors for each axis [1, 2, 1] means that Y axis will be scaled 200% and both x and z axis will remain on 100%
             * @default [1, 1, 1]
             */
            this.scaleXyz = [1, 1, 1];
        }
    }
    Transforms.ScaleXYZDto = ScaleXYZDto;
    class ScaleCenterXYZDto {
        constructor() {
            /**
             * The center from which the scaling is applied
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
            /**
             * Scaling factors for each axis [1, 2, 1] means that Y axis will be scaled 200% and both x and z axis will remain on 100%
             * @default [1, 1, 1]
             */
            this.scaleXyz = [1, 1, 1];
        }
    }
    Transforms.ScaleCenterXYZDto = ScaleCenterXYZDto;
    class UniformScaleDto {
        constructor() {
            /**
             * Uniform scale factor for all x, y, z directions. 1 will keep everything on original size, 2 will scale 200%;
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.scale = 1;
        }
    }
    Transforms.UniformScaleDto = UniformScaleDto;
    class UniformScaleFromCenterDto {
        constructor() {
            /**
             * Scale factor for all x, y, z directions. 1 will keep everything on original size, 2 will scale 200%;
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.scale = 1;
            /**
             * Center position of the scaling
             * @default [0, 0, 0]
             */
            this.center = [0, 0, 0];
        }
    }
    Transforms.UniformScaleFromCenterDto = UniformScaleFromCenterDto;
    class TranslationXYZDto {
        constructor() {
            /**
             * Translation vector with [x, y, z] distances
             * @default [0, 0, 0]
             */
            this.translation = [0, 0, 0];
        }
    }
    Transforms.TranslationXYZDto = TranslationXYZDto;
    class TranslationsXYZDto {
    }
    Transforms.TranslationsXYZDto = TranslationsXYZDto;
})(Transforms || (Transforms = {}));
