import { OBJFileLoader } from '@babylonjs/loaders';
export class BitByBitContextHelperService {
    static getFile(file) {
        return new Promise((resolve, reject) => {
            if (file) {
                const reader = new FileReader();
                reader.readAsText(file, 'UTF-8');
                reader.onload = (evt) => {
                    const text = evt.target.result;
                    resolve(text);
                };
                reader.onerror = (evt) => {
                    reject();
                };
            }
            else {
                reject();
            }
        });
    }
    static remap(value, from1, to1, from2, to2) {
        return (value - from1) / (to1 - from1) * (to2 - from2) + from2;
    }
}
BitByBitContextHelperService.tolerance = 0.00001;
BitByBitContextHelperService.snapTolerance = 0.00001;
BitByBitContextHelperService.tagBag = [];
BitByBitContextHelperService.timeoutBag = [];
BitByBitContextHelperService.intervalBag = [];
BitByBitContextHelperService.renderLoopBag = [];
BitByBitContextHelperService.keyDownBag = [];
BitByBitContextHelperService.keyUpBag = [];
BitByBitContextHelperService.keyPressBag = [];
BitByBitContextHelperService.currentlyPressedKeys = [];
BitByBitContextHelperService.babylon = {
    loader: new OBJFileLoader(),
};
