export declare class CacheHelper {
    private readonly jscad;
    hashesFromPreviousRun: {};
    usedHashes: {};
    argCache: {};
    constructor(jscad: any);
    cleanAllCache(): void;
    cleanUpCache(): void;
    /** Hashes input arguments and checks the cache for that hash.
     * It returns a copy of the cached object if it exists, but will
     * call the `cacheMiss()` callback otherwise. The result will be
     * added to the cache if `GUIState["Cache?"]` is true.
     */
    cacheOp(args: any, cacheMiss: any): any;
    /** Returns the cached object if it exists, or null otherwise. */
    checkCache(hash: any): any;
    /** Adds this `shape` to the cache, indexable by `hash`. */
    addToCache(hash: any, shape: any): any;
    /** This function computes a 32-bit integer hash given a set of `arguments`.
     * If `raw` is true, the raw set of sanitized arguments will be returned instead.
     */
    computeHash(args: any, raw?: any): any;
    /** This function converts a string to a 32bit integer. */
    stringToHash(str: string): any;
    /** This function returns a version of the `inputArray` without the `objectToRemove`. */
    remove(inputArray: any, objectToRemove: any): any;
    private dupShape;
}
