import { JSCADExpansions } from './services/jscad-expansions';
import { JSCADBooleans } from './services/jscad-booleans';
import { JSCADExtrusions } from './services/jscad-extrusions';
import { JSCADPath } from './services/jscad-path';
import { JSCADPolygon } from './services/jscad-polygon';
import { JSCADShapes } from './services/jscad-shapes';
import { JSCADText } from './services/jscad-text';
import * as Inputs from '../../api/inputs/jscad-inputs';
import { JSCADHulls } from './services/jscad-hulls';
export declare class Jscad {
    private jscad;
    booleans: JSCADBooleans;
    expansions: JSCADExpansions;
    extrusions: JSCADExtrusions;
    hulls: JSCADHulls;
    path: JSCADPath;
    polygon: JSCADPolygon;
    shapes: JSCADShapes;
    text: JSCADText;
    constructor(jscad: any);
    shapesToMeshes(inputs: Inputs.JSCAD.DrawSolidMeshesDto): {
        positions: number[];
        normals: number[];
        indices: number[];
        transforms: [];
    }[];
    shapeToMesh(inputs: Inputs.JSCAD.DrawSolidMeshDto): {
        positions: number[];
        normals: number[];
        indices: number[];
        transforms: [];
    };
    transformSolids(inputs: Inputs.JSCAD.TransformSolidsDto): any;
    transformSolid(inputs: Inputs.JSCAD.TransformSolidDto): any;
    downloadSolidSTL(inputs: Inputs.JSCAD.DownloadSolidDto): {
        blob: Blob;
    };
    downloadSolidsSTL(inputs: Inputs.JSCAD.DownloadSolidsDto): {
        blob: Blob;
    };
    private degrees_to_radians;
    private getArrayDepth;
}
