/**
 * Contains various functions for Solid booleans from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export class JSCADBooleans {
    constructor(jscad) {
        this.jscad = jscad;
    }
    intersect(inputs) {
        return this.jscad.booleans.intersect(...inputs.meshes);
    }
    subtract(inputs) {
        return this.jscad.booleans.subtract(...inputs.meshes);
    }
    union(inputs) {
        return this.jscad.booleans.union(...inputs.meshes);
    }
}
