import { VectorHelperService } from 'bitbybit-occt';
import * as Inputs from '../../../api/inputs/jscad-inputs';
/**
 * Contains various functions for Path from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export declare class JSCADPath {
    private readonly jscad;
    private readonly vecHelper;
    constructor(jscad: any, vecHelper: VectorHelperService);
    createFromPoints(inputs: Inputs.JSCAD.PathFromPointsDto): Inputs.JSCAD.JSCADEntity;
    createFromPolyline(inputs: Inputs.JSCAD.PathFromPolylineDto): Inputs.JSCAD.JSCADEntity;
    createFromCurve(inputs: Inputs.JSCAD.PathFromCurveDto): Inputs.JSCAD.JSCADEntity;
    createEmpty(): Inputs.JSCAD.JSCADEntity;
    close(inputs: Inputs.JSCAD.PathDto): Inputs.JSCAD.JSCADEntity;
    appendPoints(inputs: Inputs.JSCAD.PathAppendPointsDto): Inputs.JSCAD.JSCADEntity;
    appendPolyline(inputs: Inputs.JSCAD.PathAppendPolylineDto): Inputs.JSCAD.JSCADEntity;
    appendCurve(inputs: Inputs.JSCAD.PathAppendCurveDto): Inputs.JSCAD.JSCADEntity;
    appendArc(inputs: Inputs.JSCAD.PathAppendArcDto): Inputs.JSCAD.JSCADEntity;
    private removeDuplicatesAndCreateFromPoints;
}
