import { VectorHelperService } from 'bitbybit-occt';
import * as Inputs from '../../../api/inputs/inputs';
/**
 * Contains various functions for Polygon from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export declare class JSCADPolygon {
    private readonly jscad;
    private readonly vecHelper;
    constructor(jscad: any, vecHelper: VectorHelperService);
    createFromPoints(inputs: Inputs.Point.PointsDto): Inputs.JSCAD.JSCADEntity;
    createFromPolyline(inputs: Inputs.Polyline.PolylineDto): Inputs.JSCAD.JSCADEntity;
    createFromCurve(inputs: Inputs.Verb.CurveDto): Inputs.JSCAD.JSCADEntity;
    createFromPath(inputs: Inputs.JSCAD.PathDto): Inputs.JSCAD.JSCADEntity;
    circle(inputs: Inputs.JSCAD.CircleDto): Inputs.JSCAD.JSCADEntity;
    ellipse(inputs: Inputs.JSCAD.EllipseDto): Inputs.JSCAD.JSCADEntity;
    rectangle(inputs: Inputs.JSCAD.RectangleDto): Inputs.JSCAD.JSCADEntity;
    roundedRectangle(inputs: Inputs.JSCAD.RoundedRectangleDto): Inputs.JSCAD.JSCADEntity;
    square(inputs: Inputs.JSCAD.SquareDto): Inputs.JSCAD.JSCADEntity;
    star(inputs: Inputs.JSCAD.StarDto): Inputs.JSCAD.JSCADEntity;
    private removeDuplicatesAndCreateFromPoints;
}
